import { FinancialIndicator } from "./FinancialIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type, IList$1 } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { FinancialCalculationDataSource } from "./FinancialCalculationDataSource";
/**
 * @hidden
 */
export declare abstract class StrategyBasedIndicator extends FinancialIndicator {
    static $t: Type;
    constructor();
    protected acj(): void;
    protected ab4: IndicatorCalculationStrategy;
    protected abstract get ab5(): IndicatorCalculationStrategy;
    protected abstract get aci(): Type;
    static ab8: List$1<string>;
    protected acb(): number;
    ack(a: number): void;
    protected acd(): number;
    protected aca(): number;
    static aco(a: number, b: Type, c: string): DependencyProperty;
    protected static acn(a: number, b: Type): DependencyProperty;
    protected static acl(a: number, b: Type): DependencyProperty;
    protected static acp(a: number, b: Type): DependencyProperty;
    protected abh(a: number, b: number): IList$1<string>;
    protected abe(a: number, b: number): boolean;
    protected ab7(a: FinancialCalculationDataSource): boolean;
    private ab6;
    protected acc(a: number): number;
    protected xt(a: number, b: number): FinancialCalculationDataSource;
    protected ab9(): number;
    protected static acm(a: number, b: Type): DependencyProperty;
    protected rg(a: any, b: string, c: any, d: any): void;
}
